@import "skins/jquery-ui-1.8.2.css";

* {
    margin: 0px;
    padding: 0px;
}

body {
    background-color: white;
    background: white url(../images/bg.png) repeat-x top;
}

body,p,h1,h2,h3,h4,table,td,th,ul,ol,textarea,input
{
    font-family: arial, helvetica, sans-serif;
    font-size: 12px;
}

a:hover{
    cursor: pointer !important;
}

input.ui-autocomplete-input, .frm_inlineRow > input, .frm_midLineRow > input {
    padding: 3px;
    width: 155px;
    padding-block: 3px;
    padding-inline: 3px;
}

.frm_midLineRowLeft > input, .frm_midLineRowRight > input {
    padding: 3px;
    padding-block: 3px;
    padding-inline: 3px;
}

/*
 * #### Finder Form ####
*/

.frm_browserContainer {
    margin-top: 40px;
    margin-bottom: 10px;
    overflow: scroll;
    width: 1024px;
}

.p_frm_textFinder, .p_frm_textFinder:focus {
    font-size: 12px;
    width: 300px;
    padding: 5px 1px;
}

.p_frm_buttonFinder {
    margin: auto 0;
    padding: 0;
}

.p_frm_buttonFinder:hover {
    opacity: 0.5;
}

.p_frm_buttonFinder, .p_frm_buttonFinder:focus {
    border: none;
    background-color: transparent;
    margin-left: 3px;
}

div.p_frm_finder {
    text-align: center;
}

#content-wrapped {
    /*width: 1052px;*/
    margin: auto;
    width: 100%;
    padding: 0px 5px 0px 5px;
    box-sizing: border-box;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

#content-main {
    flex: 1;
    display: flex;
    flex-direction: column;
}

#content-body {
    clear:both;
    min-height: 350px;
    overflow-y: hidden;
    width: 100%;
    overflow-x: hidden;
    flex: 1;
}

#content-footer {
    clear:both;
    margin-top: 25px;
    padding-top: 10px;
    padding-bottom: 20px;
    border-top: 1px solid #D8D8D8;
    color: white;
}

#content-footer p{
    color: #43515a;
}


#bottombar-footer{
    width: 1050px; 
    height: 30px;
    color: white;
}

#content-toolbar {
    height: 25px;
}

#content-topbar {
    height: 40px;
    background: white url(../images/bg.png) repeat-x top;
}

#content-head_banner {
    height: 150px;
}

/*Menu CSS*/
#content-menubar {
    background: white;
    padding-left: 10px;
    text-align: right;
    font-size: 12px;
    line-height: 32px;
    color: #010101;
}

#content-menubar a{
    color: #010101;
    text-decoration: none;
}

#content-menubar a:hover {
    text-decoration: underline;
    color: #fefefe;
}

.topbar-icon {
    display: none;
    float: right;
    margin-top: 1.5px;
    border-radius: 16px;
    color: white !important;
    font-size: 1.4em;
    padding: 9px 3px 8px 16px;
}

.topbar-icon:hover {
    background-color: #364d63 !important;
}

.topbar-icon:focus {
    background-color: #2c3e50 !important;
}

.topbar-icon.ctrl_tbarButton {
    border-radius: 0;
    margin-top: 4px;
}

.topbar-span {
    float: right;
    text-transform: uppercase;
    color: white;
    font-weight: bold;
    padding-right: 13px;
}
/*FIN MENU CSS*/

#error-page {
    font-size: 14px;
    color: #0000ff;
    text-align: center;
    font-weight: bold;
}

div.browser-container {
     overflow: scroll;
}

.hide_element{
    display:none !important;
}
.frm_tableHTML img{
    margin: 0px 3px;
}

.semaforo-rojo {
    background: rgba(231, 76, 60, 0.85);
}

.semaforo-amarillo {
    background: rgba(241, 196, 15, 0.85);
}

.semaforo-verde {
    background: rgba(46, 204, 113, 0.85);
}

.ol-popup {
    position: absolute;
    background-color: white;
    box-shadow: 0 1px 4px rgba(0,0,0,0.2);
    padding: 15px;
    border-radius: 10px;
    border: 1px solid #cccccc;
    bottom: 12px;
    left: -50px;
    min-width: 280px;
}

.ol-popup:after, .ol-popup:before {
    top: 100%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
}

.ol-popup:after {
    border-top-color: white;
    border-width: 10px;
    left: 48px;
    margin-left: -10px;
}

.ol-popup:before {
    border-top-color: #cccccc;
    border-width: 11px;
    left: 48px;
    margin-left: -11px;
}

.ol-popup ul {
    list-style: none;
}

.ol-popup-closer {
    text-decoration: none;
    position: absolute;
    top: 2px;
    right: 8px;
}

.ol-popup-closer:after {
    content: "x";
}

/*
    Se utiliza para darle formato de impresión al reporte, se oculta todo menos .report-container
*/
@media print {
    @page { margin: 0 !important; }
    body { margin: 1.6cm !important; }
    
    #content-topbar {
        display: none !important;
    }
    #content-header {
        display: none !important;
    }
    .report-export-bar {
        display: none !important;
    }
    ul.list-row li span.not-print {
        display: none !important; 
        width: 0px !important;
    }
    ul.list-row li span[style="width:370px;display: inline-block;vertical-align: middle"] {
        width: auto !important;
    }

    #content-footer {
        display: none !important;
    }
    .report-container { 
        width: 99% !important; 
        margin: 0 !important; 
        padding: 0 !important; 
        border: 0 !important; 
        background: #fff !important; 
        overflow: visible !important; 
        display: block !important; 
    }
    div.saltopagina {
        display:block !important; 
        page-break-before:always !important;
    }
    .chart rect {
        fill: #BDBDBD !important;
    }
    .bar text {
        display: block !important;
    }
}